"use client";
import { Input } from "~/components/ui/input";
import { addCountry } from "~/server/actions/addCountry";
import SubmitButton from "../SubmitButton";
import { useFormState } from "react-dom";
import { useEffect, useRef } from "react";
import clsx from "clsx";

export default function CreateCountryForm() {
  const [formState, formAction] = useFormState(addCountry, {
    message: "",
    errors: undefined,
    fieldValues: {
      name: "",
    },
  });
  const formRef = useRef<HTMLFormElement>(null);
  useEffect(() => {
    if (formState.message === "success") {
      formRef.current?.reset();
    }
  }, [formState.message]);
  return (
    <form action={formAction}>
      <Input
        name="name"
        id="name"
        className={clsx({ "border-red-500": formState.errors?.name })}
      />
      <SubmitButton text={"Country"} />
      {formState.errors?.name}
    </form>
  );
}
